TARDIS v3.3

Details

  • Filename
    TARDIS.zip
  • Uploaded by
  • Uploaded
    Jul 7, 2015
  • Size
    1.88 MB
  • Downloads
    3,864
  • MD5
    4675a211c2e54b172a0f31fac33923f8

Supported Bukkit Versions

  • 1.8.1

Changelog

Requirements

ALWAYS run BuildTools to get the latest server JARs before installing/updating TARDIS!

Do not bother posting comments / tickets if you are not running the appropriate server and plugin versions - they will be deleted immediately!

Requires CraftBukkit/Spigot 1.8.7, TARDISHelper 1.7.3 (included in the TARDIS ZIP file download), and if installed, TARDISWeepingAngels v2.0.7

Additions

  • Added the Sonic Blaster and Blaster Battery to the /tardisgive command
  • Made perception filter configurable - allow.perception_filter
  • Made TARDIS sign text configurable
  • Added a configuration option for a MySQL database prefix - storage.mysql.prefix
  • Added the ability to Get/Set a Villager's willingness to breed/trade - requires TARDISHelper v1.7.3
  • Add messages when modifying genetic material using the Lazarus Room
  • Made the Artron HUD localisable - edit the ARTRON_XXXX entries in your language file

Changes

  • Updated Bukkit dependency to 1.8.7
  • Mobs can now spawn inside the TARDIS via dispensers
  • The TARDIS will not auto power down if the handbrake is off
  • Use translation file for 'ON' and 'OFF' where used throughout the plugin
  • The plugin now runs the /twad command via the console when genetically modifying players - requires TARDISWeepingAngels v2.0.7
  • Allow the sonic to work on players with both the bio-scanner and admin upgrades - the Admin upgrade to view a player's inventory requires the admin to be sneaking while clicking the player

Bug fixes

  • Fixed a spelling mistake in the recipe lister
  • Fixed /tardis rebuild block duplication exploit
  • Fix seed block crafting duplication exploit
  • Fixed doors not opening on 2x2x2 TARDIS interiors
  • Load Multiverse before checking for the default world creation - fixes NPE on fresh installs when trying to enter TARDIS
  • Only rotate the TARDIS direction frame in 90 deg angles
  • Now checking the LANTERN player preference when using the /tardis lamps command

Dependent plugin versions

If running any of these plugins with TARDIS they must be equal to or greater than the versions listed here:

  • BarAPI - v3.3
  • Citizens - v2.0.16
  • Factions - v2.7.4
  • GriefPrevention - v10
  • LibsDisguises - v8.5.1
  • MultiWorld - v5.2
  • Multiverse-Adventure - v2.5
  • Multiverse-Core - v2.5
  • Multiverse-Inventories - v2.5
  • My Worlds - v1.67
  • ProtocolLib - v3.6.3
  • TARDISHelper - v1.7.3
  • TARDISWeepingAngels - v2.0.7
  • Towny - v0.89
  • WorldBorder - v1.8.1
  • WorldGuard - v6.1

For CraftBukkit 1.8.7, no longer compatible with prior versions, and it will disable itself if a lower version is used! ALWAYS run BuildTools to get the latest server JARs before installing/updating TARDIS!

You need to update TARDISHelper to version 1.7.3 (included in ZIP file)